Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanNotificationInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanNotificationInfo
                  |
                  +--javax.management.modelmbean.ModelMBeanNotificationInfo

All Implemented Interfaces:
  java.lang.Cloneable, DescriptorAccess, java.io.Serializable

public class ModelMBeanNotificationInfo
extends MBeanNotificationInfo
implements DescriptorAccess, java.lang.Cloneable

The ModelMBeanNotificationInfo object describes a notification emitted by a ModelMBean. It is a subclass of MBeanNotificationInfo with the addition of an associated Descriptor and an implementation of the Descriptor interface.

     The fields in the descriptor are defined, but not limited to, the following:
     name           : notification name
     descriptorType : must be "notification"
     severity       : 1-5 where 1: fatal 2: severe 3: error 4: warn 5: info
     messageID      : unique key for message text (to allow translation,analysis)
     messageText    : text of notification
     log            : T - log message F - do not log message
     logfile        : string fully qualified file name appropriate for operating system
     visibility     : 1-4 where 1: always visible 4: rarely visible
     presentationString : xml formatted string to allow presentation of data

The default descriptor contains the name, descriptorType, and severity=5 fields.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanNotificationInfo(ModelMBeanNotificationInfo notifInfo)` Constructs a new ModelMBeanNotificationInfo object from this ModelMBeanNotfication Object.
`ModelMBeanNotificationInfo(java.lang.String[] types, java.lang.String name, java.lang.String description)` Constructs a ModelMBeanNotificationInfo object with a default descxriptor.
`ModelMBeanNotificationInfo(java.lang.String[] types, java.lang.String name, java.lang.String description, Descriptor descriptor)` Constructs a ModelMBeanNotificationInfo object.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a new ModelMBeanNotificationInfo which is a duplicate of this ModelMBeanNotificationInfo.
`Descriptor` | `getDescriptor()` Returns a copy of the associated Descriptor for the ModelMBeanNotificationInfo
`void` | `setDescriptor(Descriptor descriptor)` Sets associated Descriptor (full replace) for the ModelMBeanNotificationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor.
`java.lang.String` | `toString()` Returns a human readable string containing ModelMBeanNotificationInfo

Methods inherited from class javax.management.MBeanNotificationInfo
`getNotifTypes`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(java.lang.String[] types,
                                      java.lang.String name,
                                      java.lang.String description)

  Constructs a ModelMBeanNotificationInfo object with a default descxriptor.

Parameters:
  `types` - The notification type string (in dot notation).
  `name` - The name of the Notification class.
  `description` - A human readable description of the Notification. Optional.

  The descriptor must be set before this ModelMBeanNotificationInfo instance can be used.

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(java.lang.String[] types,
                                      java.lang.String name,
                                      java.lang.String description,
                                      Descriptor descriptor)

  Constructs a ModelMBeanNotificationInfo object.

Parameters:
  `types` - The notification type string (in dot notation).
  `name` - The name of the Notification class.
  `description` - A human readable description of the Notification. Optional.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanNotificationInfo.If it is null or invalid then a default desriptor will be created.

### ModelMBeanNotificationInfo

    public ModelMBeanNotificationInfo(ModelMBeanNotificationInfo notifInfo)

  Constructs a new ModelMBeanNotificationInfo object from this ModelMBeanNotfication Object.

Parameters:
  `notifInfo` - the ModelMBeanNotificationInfo to be duplicated

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a new ModelMBeanNotificationInfo which is a duplicate of this ModelMBeanNotificationInfo.

  Overrides:
    `clone` in class `MBeanNotificationInfo`

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the associated Descriptor for the ModelMBeanNotificationInfo

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    Descriptor associated with the ModelMBeanNotificationInfo object.

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

  Sets associated Descriptor (full replace) for the ModelMBeanNotificationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `descriptor` - - replaces the Descriptor associated with the ModelMBeanNotification interface

### toString

    public java.lang.String toString()

  Returns a human readable string containing ModelMBeanNotificationInfo

  Overrides:
    `toString` in class `java.lang.Object`
  Throws:
    `RuntimeOperationsException` - for illegal value for field Names or field Values. If the descriptor string fails for any reason, this exception will be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD